## boot-managed-by-snapd 2

=== debian/changelog ===
boot-managed-by-snapd (2) mantic; urgency=medium

  * Add Vcs-Git and Vcs-Browser to debian/control
  * Add GPL-3 COPYING
  * Rework the test case to work on cloud VM
  * d/t/control: Depend on apt

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 12 Jun 2023 13:01:42 +0200

boot-managed-by-snapd (1) mantic; urgency=medium

  * Initial version (LP: #2020466)

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 23 May 2023 13:21:03 +0200

## boot-managed-by-snapd 3

=== debian/changelog ===
boot-managed-by-snapd (3) mantic; urgency=medium

  * Conflict on the linux-firmware package as well (LP: #2036419).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 20 Sep 2023 15:33:06 +0200

## boot-managed-by-snapd 4

=== debian/changelog ===
boot-managed-by-snapd (4) noble; urgency=medium

  * Conflict on the secureboot-db package as well (LP: #2043128).

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Thu, 09 Nov 2023 18:26:07 +0200

## boot-managed-by-snapd 4build1

=== Makefile ===
CFLAGS += $(shell pkg-config --cflags json-c)
LDFLAGS += $(shell pkg-config --libs json-c)

all: boot-managed-by-snapd
	$(MAKE) -C po $@

boot-managed-by-snapd: boot-managed-by-snapd.c
	$(CC) $(CFLAGS) $(CPPFLAGS) -o boot-managed-by-snapd boot-managed-by-snapd.c $(LDLIBS) $(LDFLAGS)

install: boot-managed-by-snapd
	install -D -m755 boot-managed-by-snapd $(DESTDIR)/usr/libexec/boot-managed-by-snapd
	install -D -m644 20boot-managed-by-snapd.conf $(DESTDIR)/etc/apt/apt.conf.d/20boot-managed-by-snapd.conf

clean:
	$(RM) boot-managed-by-snapd
	$(MAKE) -C po clean

=== po/Makefile ===
GETTEXT_PACKAGE = boot-managed-by-snapd

all: boot-managed-by-snapd.pot
boot-managed-by-snapd.pot: ../boot-managed-by-snapd.c
	xgettext --add-comments --foreign --package-name=boot-managed-by-snapd -o boot-managed-by-snapd.pot $^

clean:
	$(RM) boot-managed-by-snapd.pot

=== debian/changelog ===
boot-managed-by-snapd (4build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 17:54:48 +0200

=== debian/control ===
Source: boot-managed-by-snapd
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends:
 debhelper-compat (= 12),
 dh-translations,
 libjson-c-dev,
 pkg-config,
Standards-Version: 4.1.1
Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/+git/boot-managed-by-snapd
Vcs-Browser: https://code.launchpad.net/~ubuntu-core-dev/+git/boot-managed-by-snapd

Package: boot-managed-by-snapd
Architecture: amd64 arm64
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: ${boot:Conflicts}
Protected: yes
Description: Package marking the system boot as managed by snapd
 This package conflicts with other bootloaders that are incompatible with
 snapd-based boot.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with translations

override_dh_gencontrol:
	dh_gencontrol -- -Vboot:Conflicts="$(shell ./boot-managed-by-snapd --print | tr '\n' ',')"

=== debian/tests/control ===
Tests: test-boot-managed-by-snapd
Depends: apt
Restrictions: needs-root, breaks-testbed, allow-stderr

## boot-managed-by-snapd 4build2

=== debian/changelog ===
boot-managed-by-snapd (4build2) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 01 Dec 2025 11:23:49 +0100
